<?php

namespace Modules\Stock\Rules;

use Modules\Stock\Helper\RulesHelper;

class Indisponibilite extends BaseRules
{
    /**
     * @return bool
     */
    // @phpcs:ignore
    public function init(): bool
    {
        return RulesHelper::hasIndisponibiliteAccessRights($this->pdo);
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function gestion(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function miseEnIndisponibiliteForm(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function miseEnIndisponibilite(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function remiseEnDisponibiliteForm(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function remiseEnDisponibilite(): bool
    {
        return true;
    }
}
